## mig 1.3.1.99.git20120630

=== debian/changelog ===
mig (1.3.1.99.git20120630-1) unstable; urgency=low

  * New git snapshot.

  [ Guillem Jover ]
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Now using Standards-Version 3.9.3.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Remove Marcus Brinkmann, Jeff Bailey and Neal H. Walfield from Uploaders.
    Closes: #503569
  * Use any-i386 in binary package Architecture fields.
  * Update Vcs fields to point to the new git repositories.
  * Remove duplicate Section and Priority fields in the binary stanza
    inherited from the source stanza.
  * Add build-indep and build-arch targets and rename install target to
    install-arch in debian/rules.
  * Pass CFLAGS correctly to $(MAKE), instead of passing them as CCOPTIONS.
  * Use dpkg-buildflags to set CPPFLAGS, CFLAGS and LDFLAGS.
  * Fix a format string build failure in error() function. Add bison to
    Build-Depends as the patch touches parser.y.

  [ Samuel Thibault ]
  * Add Multi-Arch: foreign to allow installing the 32bit version on a 64bit
    system.
  * Add myself as uploader.
  * Add misc:Depends dependency.

 -- Guillem Jover <guillem@debian.org>  Sat, 30 Jun 2012 17:52:09 +0200

mig (1.3.1.99-2) unstable; urgency=low

  * Add Homepage field.
  * Add Vcs-Browser and Vcs-Svn fields.
  * Add a debian/README.source file.
  * Now using Standards-Version 3.8.0.
  * Refresh patches with -pab.
  * Improve debian/copyright:
    - Refer to GPL-2 from common-licenses instead of just GPL.
    - Fix GPL snippet in debian/copyright to refer to "version 2 or later".
    - Remove repository information from as it is now on debian/control.
  * Line wrap Uploaders field.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 08:08:44 +0300

mig (1.3.1.99-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/args_space.patch: Remove, merged upstream.
    - debian/patches/arg_isystem.patch: Likewise.
    - debian/patches/robust_close.patch: Likewise.

 -- Guillem Jover <guillem@debian.org>  Thu, 14 Dec 2006 08:25:06 +0200

mig (1.3.1-2) unstable; urgency=low

  * Switched to quilt:
    - Add new debian/patches/series file.
    - Add Build-Depends on 'quilt (>= 0.40)'.
    - Include quilt.make from debian/rules.
    - Switch clean from a double colon target to single colon.
    - Make clean depend on unpatch.
    - Remove now unused debian/patch.mk.
  * Cleaned debian/rules file:
    - Remove the all target.
    - Do not use stamp files for the build target.
    - Move the installation logic from binary-arch to an install target.
    - Remove the manual cruft-removal line from the clean target.
    - Use DESTDIR instead of specifiying again all patch at install time.
    - Reindent the configure arguments.
  * Do not deallocate the out-of-line memory if the request didn't succeed.
    - debian/patches/no_dealloc_ool.patch: New file.
    Thanks to Olaf Buddenhagen <antrik@gmx.net>.
  * Switch to debhelper compat level 5.
  * Now using Standards-Version 3.7.2 (no changes needed).
  * Use ascii single quotes in the manpage.

 -- Guillem Jover <guillem@debian.org>  Mon, 13 Nov 2006 06:30:18 +0200

mig (1.3.1-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/types.patch: Integrated upstream. Removed.
  * Added a watch file.
  * Added a manpage for mig.
  * Cleaned debian/copyright file:
    - Update FSF address.
    - Updated upstream download address.
    - Change references to Debian to be system neutral.
    - Added initial date of packaging.
    - Added Debian subversion packaging repository.
    - Remove C style comments from license statements and reindent.
  * Now using Standards-Version 3.6.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 17 Nov 2005 03:32:43 +0200

mig (1.3-4) unstable; urgency=low

  * Support -isystem properly.
    Thanks to Thomas Schwinge <schwinge@nic-nac-project.de>.
  * Support spaces in arguments.
    Thanks to Thomas Schwinge <schwinge@nic-nac-project.de>.

 -- Guillem Jover <guillem@debian.org>  Thu,  2 Jun 2005 23:17:42 +0300

mig (1.3-3) unstable; urgency=low

  * Changed Maintainer address.
  * Added former implicit maintainers to Uploaders.
  * Added myself to Uploaders.
  * Split patches into debian/patches.
  * Make closing files more robust.
    - debian/patches/robust_close.patch: New file.
    Thanks to Ognyan Kulev <ogi@fmi.uni-sofia.bg>.
  * Added gnumach-dev and flex to Build-Depends. (Closes: #246254)
    Thanks Magnus Ekdahl <maguno@ludd.ltu.se>.
  * Enable i386, kfreebsd-i386 and knetbsd-i386 architectures.
  * Switched to debhelper.
  * Now using Standards-Version 3.6.1.

 -- Guillem Jover <guillem@debian.org>  Mon, 25 Oct 2004 08:50:56 +0200

mig (1.3-2) unstable; urgency=low

  * New CVS snapshot.
  * debian/control: Add Uploaders.

 -- Marcus Brinkmann <brinkmd@debian.org>  Mon,  5 Aug 2002 00:13:00 +0200

mig (1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump standards version.
    Update description.
  * debian/README: Update description.

 -- Marcus Brinkmann <brinkmd@debian.org>  Thu,  7 Mar 2002 21:55:43 +0100

mig (1.2-1) unstable; urgency=low

  * New upstream release.

 -- Marcus Brinkmann <brinkmd@debian.org>  Fri,  8 Jun 2001 18:18:53 +0200

mig (1.1-1) unstable; urgency=low

  * CVS snapshot from new upstream release.

 -- Marcus Brinkmann <brinkmd@debian.org>  Tue,  4 Jul 2000 21:58:26 +0200

mig (1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Marcus Brinkmann <brinkmd@debian.org>  Mon, 24 May 1999 01:29:26 +0200

mig (1.0.1-1) unstable; urgency=low

  * Initial Release.

