=== debian/control ===
Source: mig
Section: devel
Priority: standard
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Guillem Jover <guillem@debian.org>,
 Samuel Thibault <sthibault@debian.org>
Homepage: http://www.gnu.org/software/hurd/mig.html
Vcs-Browser: http://git.debian.org/?p=pkg-hurd/mig.git
Vcs-Git: git://git.debian.org/pkg-hurd/mig.git
Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7), gnumach-dev, flex, bison
Standards-Version: 3.9.3

Package: mig
Architecture: any-i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNU Mach Interface Generator
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
