=== debian/rules ===
#!/usr/bin/make -f
#
# Based on the work by Marcus Brinkmann <brinkmd@debian.org>
# Rewritten by Guillem Jover <guillem@debian.org>
#

pkg := mig

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := -Wall -pipe $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS :=  $(shell dpkg-buildflags --get LDFLAGS)

configure: stamp-configure
stamp-configure:
	dh_testdir
	
	-mkdir build
	cd build && ../configure \
	  --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
	  --prefix=/usr \
	  --libexecdir=/usr/lib/mig/
	
	touch stamp-configure

build-indep:

build-arch: configure
	dh_testdir
	
	$(MAKE) -C build \
	  CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

build: build-indep build-arch

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	
	dh_installdirs
	
	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/$(pkg) install

clean:
	dh_testdir
	
	rm -f stamp-configure
	rm -rf build
	
	dh_clean

binary-indep:
	# Nothing to do.

binary-arch: install-arch
	dh_testdir
	dh_testroot
	
	dh_installdocs
	dh_installman
	dh_installchangelogs ChangeLog
	
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: configure build-indep build-arch build install-arch
.PHONY: binary-indep binary-arch binary clean
