## mig 1.4

=== debian/changelog ===
mig (1.4-2) unstable; urgency=medium

  * patches/generate-inlines.patch: Upstream patch to inline demuxers.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Feb 2014 23:14:00 +0000

mig (1.4-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream release.
  * patches/{format-string.patch,no_dealloc_ool.patch}: Remove patches, merged
    upstream.

  [ Pino Toscano ]
  * Bump the debhelper compatibility to 9:
    - Bump compat to 9.
    - Bump the debhelper build dependency to >= 9.
  * Rewrite rules making use of the sequential `dh'.
  * Run autoreconf before build, since the upstream snapshot from Git has
    no autogenerated autotools files:
    - Use the autoreconf dh addon, and build depend on dh-autoreconf for it.
    - Clean the build-aux directory.
  * Fix Vcs-* keys to point to anonscm.debian.org.
  * Fix Homepage. (Closes: #561714)
  * format-string.patch: add DEP3 headers.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Sep 2013 10:18:08 +0000
