=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>,
  Samuel Thibault <sthibault@debian.org>
-Homepage: http://www.gnu.org/software/hurd/mig.html
-Vcs-Browser: http://git.debian.org/?p=pkg-hurd/mig.git
-Vcs-Git: git://git.debian.org/pkg-hurd/mig.git
-Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7), gnumach-dev, flex, bison
+Homepage: http://www.gnu.org/software/hurd/microkernel/mach/mig/gnu_mig.html
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-hurd/mig.git
+Vcs-Git: git://anonscm.debian.org/pkg-hurd/mig.git
+Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 9), gnumach-dev, flex, bison,
+ dh-autoreconf
 Standards-Version: 3.9.3
 
 Package: mig
