=== debian/rules ===
#!/usr/bin/make -f
#
# Based on the work by Marcus Brinkmann <brinkmd@debian.org>
# Rewritten by Guillem Jover <guillem@debian.org>
# Rewritten to use `dh' by Pino Toscano <pino@debian.org>
#

export DEB_CFLAGS_MAINT_PREPEND := -Wall -pipe

%:
	dh $@ -Bbuild --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -Bbuild -- \
	  --libexecdir=/usr/lib/mig/

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build-aux
