## mig 1.8

=== debian/changelog ===
mig (1.8-4) unstable; urgency=medium

  * patches/inline: Port upstream fix for inline standard issue.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Jul 2018 16:16:08 +0000

mig (1.8-3) unstable; urgency=medium

  * patches/memcpy: Port upstream fix for type-punning warnings.
  * patches/const: Port upstream fix for const warnings.
  * control: Break gnumach-dev and hurd-dev which do not provide const types.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Feb 2018 22:49:09 +0000

mig (1.8-2) unstable; urgency=medium

  * Use canonical anonscm vcs URL.
  * patches/warning: port upstream fix for MACH_MSG_TYPE_POLYMORPHIC warning.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Jan 2018 17:29:20 +0100

mig (1.8-1) unstable; urgency=medium

  * New upstream release.
  * Add libfl-dev build dependency.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 Dec 2016 14:43:31 +0000

mig (1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 21 May 2016 23:29:01 +0000

mig (1.6+git20160502-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 May 2016 22:46:07 +0000

mig (1.6-1) unstable; urgency=medium

  * New upstream release.
    - patches/git-23e8415: Merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Nov 2015 21:51:02 +0000

mig (1.5-5) unstable; urgency=medium

  * patches/git-R-type-punned.patch: Drop patch, gdb build is now fine with it.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Sep 2015 21:51:48 +0000

mig (1.5-4) unstable; urgency=medium

  * patches/git-23e8415: Cherry-pick from upstream to fix gdb build.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Sep 2015 20:31:25 +0000

mig (1.5-3) unstable; urgency=medium

  * Also add the gnu type alias for mig, like gcc.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 Sep 2015 00:31:04 +0000

mig (1.5-2) unstable; urgency=medium

  * rules, control: Support building a cross-compiling mig.
  * rules: Bump dpkg-dev build-dep version to get target triplet.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 28 Aug 2015 13:48:46 +0000

mig (1.5-1) unstable; urgency=medium

  * New upstream release
  * patches/git-R-type-punned.patch: Revert upstream patch to avoid breaking
    gdb build for now.
  * patches/git-{c-strings,generate-inlines,protected-payload}.patch: Removed.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 16 Apr 2015 23:35:12 +0000

mig (1.4-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/git-c-strings.patch: Upstream patch to fix variable-sized c
    strings.
  * patches/git-protected-payload.patch: Upstream patch to add protected payload
    support.

  [ Guillem Jover ]
  * Remove myself from Uploaders.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Nov 2014 15:14:41 +0000
