=== debian/control ===
Source: mig
Section: devel
Priority: standard
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Homepage: http://www.gnu.org/software/hurd/microkernel/mach/mig/gnu_mig.html
Vcs-Browser: https://anonscm.debian.org/git/pkg-hurd/mig.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hurd/mig.git
Build-Depends: dpkg-dev (>= 1.17.14), debhelper (>= 9), gnumach-dev, flex, libfl-dev, bison,
 dh-autoreconf
Standards-Version: 3.9.3

Package: mig
Architecture: any-i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: gnumach-dev (<< 2:1.8+git20171101-2~), hurd-dev (<< 1:0.9.git20180129~)
Description: GNU Mach Interface Generator
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
