=== debian/watch ===
version=3
http://ftp.gnu.org/gnu/mig/	mig-(.*)\.tar\.gz	debian	uupdate
