## mig 1.8%2Bgit20231217

=== debian/changelog ===
mig (1.8+git20231217-1) unstable; urgency=medium

  * New upstream snapshot.
    - control: Bump gnumach build-dep/dep accordingly.
    - patches/git-amd64: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 18 Dec 2023 00:30:03 +0100

mig (1.8+git20230520-7) unstable; urgency=medium

  * patches/64bit: Update code generation to handle the new 64 bit ABI.
  * control: Bump gnumach-dev dep accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Sep 2023 11:02:49 +0200

mig (1.8+git20230520-6) unstable; urgency=medium

  * rules: Drop :any, it actually breaks the dependency.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 May 2023 14:42:44 +0200

mig (1.8+git20230520-5) unstable; urgency=medium

  * control.in: Really fix typo.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 May 2023 13:51:11 +0200

mig (1.8+git20230520-4) unstable; urgency=medium

  * control: Fix typo.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 May 2023 13:50:02 +0200

mig (1.8+git20230520-3) unstable; urgency=medium

  * control: Make mig-for-host require only at least the same upstream
    version, to avoid a binNMU-ed mig-for-host package trying to upgrade the
    cross mig.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 May 2023 13:48:31 +0200

mig (1.8+git20230520-2) unstable; urgency=medium

  * control: Make mig-for-host accept any host mig compiler.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 May 2023 13:34:22 +0200

mig (1.8+git20230520-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 May 2023 00:37:28 +0200

mig (1.8+git20230502-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/memcpy: Upstreamed.
    - patches/git-no-msg_type: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 02 May 2023 20:59:31 +0000

mig (1.8+git20221221-3) unstable; urgency=medium

  * patches/memcpy: Memcpy fixes.
  * patches/git-no-msg_type: Avoid including msg_type.h.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 20 Feb 2023 22:38:59 +0000

mig (1.8+git20221221-2) unstable; urgency=medium

  * rules: Enable cross-build for pure cross-builds only.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Jan 2023 23:25:09 +0100

mig (1.8+git20221221-1) unstable; urgency=medium

  * New upstream snapshot.
    - Provides intptr_t and uintptr_t as default types.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 21 Dec 2022 12:47:33 +0100

mig (1.8+git20221111-1) unstable; urgency=medium

  * New upstream snapshot.
    - Supports structures in mig types.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Nov 2022 15:39:48 +0000

mig (1.8+git20220827-2) unstable; urgency=medium

  * control: Explicit that the mig package is Multi-Arch: no, as installing it
    is precisely meant to install a mig-for-host.
  * rules: Fix building canadian cross mig.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Oct 2022 16:17:33 +0100

mig (1.8+git20220827-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream snapshot.
    - patches/const_dev_name_t: Upstreamed.
    - patches/const_string_t: Upstreamed.
    - patches/server_const: Upstreamed.
    - control: Bump gnumach-dev build-dep accordingly.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Bug-Submit (from ./configure), Name (from
    ./configure).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Aug 2022 21:58:39 +0000

mig (1.8+git20200618-10) unstable; urgency=medium

  * control, rules: Remove mig-linux-gnu-* and mig-kfreebsd-gnu-* packages, on
    linux and kfreebsd we'd still target the gnu system. Keep the mig package
    only on hurd host. Extend non-crossbuild to same-cpu host/target case, but
    use -gnu tool names. (Closes: #1005959)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Mar 2022 00:51:45 +0100

mig (1.8+git20200618-9) unstable; urgency=medium

  * rules: Pass CFLAGS / CPPFLAGS for target builds.
  * rules: Use binary:Version for crosspackage dependencies.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 09 Feb 2022 23:13:14 +0100

mig (1.8+git20200618-8) unstable; urgency=medium

  * control.target.in: Fix Breaks line.
  * rules: Support GNU architecture names containing _.
  * rules: Make mig and mig-for-host depend on the same version of the host mig,
    for versioned dependency to actually have effect.
  * control, rules: Enable amd64 build.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Feb 2022 18:49:42 +0100

mig (1.8+git20200618-7) unstable; urgency=medium

  * control: Bump gnumach-dev break again for other const types.
  * patches/server_const: Also add const qualifiers on server side.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 16 Jan 2022 17:57:41 +0000

mig (1.8+git20200618-6) unstable; urgency=medium

  * control: Set Rules-Requires-Root to no.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * patches/const_dev_name_t: Make dev_name_t always use const_dev_name_t.
    - control: Bump gnumach-dev break accordingly.
  * rules: Don't remove build-aux on clean.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 16 Jan 2022 10:54:24 +0000

mig (1.8+git20200618-5) unstable; urgency=medium

  * rules: Drop useless --with autoreconf request.
  * patches/const_string_t: Make string_t always use const_string_t.
  * control.in: Really update control file.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 15 Dec 2020 10:01:51 +0100

mig (1.8+git20200618-4) unstable; urgency=medium

  * control: Bump Standards-Version to 4.5.0 (no change).
  * control: Bump debhelper compat to 12.
    - control: Drop now-spurious dh-autoreconf build-dep.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Nov 2020 01:51:03 +0100

mig (1.8+git20200618-3) unstable; urgency=medium

  * rules: Keep mig-$target multi-arch:foreign, we don't use plugins.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 21 Jun 2020 00:46:06 +0200


