## mig 1.8+git20200618

=== debian/control ===
Source: mig
Section: devel
Priority: optional
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Homepage: http://www.gnu.org/software/hurd/microkernel/mach/mig/gnu_mig.html
Vcs-Browser: https://salsa.debian.org/hurd-team/mig
Vcs-Git: https://salsa.debian.org/hurd-team/mig.git
Build-Depends: dpkg-dev (>= 1.17.14), debhelper-compat (= 12), dh-exec,
 gnumach-dev,
 flex, libfl-dev, bison
Standards-Version: 4.5.0
#Note: this file is generated from .in files, see debian/rules

Package: mig
Architecture: any-i386
Depends: ${misc:Depends}, ${mig:host}
Description: GNU Mach Interface Generator
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 This package provides a mig command that generates interfaces for the host
 architecture of this package.

Package: mig-for-host
Architecture: any-i386
Multi-Arch: same
Depends: ${misc:Depends}, ${mig:host}
Description: GNU Mach Interface Generator - metapackage for host
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 Like the mig package, this produces interfaces for the host architecture of
 this package, but as a triplet-mig command which is possibly a cross-generator.

Package: mig-i686-linux-gnu
Architecture: i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20171101-2~), hurd-dev (<< 1:0.9.git20180129~)
Replaces: mig (<< 1.8-7)
Description: GNU Mach Interface Generator for i386
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 This package provides the generator targetting GNU arch
 i686-linux-gnu for the i386 Debian port.

Package: mig-i686-gnu
Architecture: hurd-i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20171101-2~), hurd-dev (<< 1:0.9.git20180129~)
Replaces: mig (<< 1.8-7)
Description: GNU Mach Interface Generator for hurd-i386
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 This package provides the generator targetting GNU arch
 i686-gnu for the hurd-i386 Debian port.

Package: mig-i686-kfreebsd-gnu
Architecture: kfreebsd-i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20171101-2~), hurd-dev (<< 1:0.9.git20180129~)
Replaces: mig (<< 1.8-7)
Description: GNU Mach Interface Generator for kfreebsd-i386
 This is the GNU distribution of the MIG, which is needed to compile
 the GNU C library, the GNU Hurd and GNU Mach.
 .
 This package provides the generator targetting GNU arch
 i686-kfreebsd-gnu for the kfreebsd-i386 Debian port.
