=== debian/watch ===
version=3
http://ftp.gnu.org/gnu/mig/	mig-@ANY_VERSION@@ARCHIVE_EXT@	debian	uupdate
