## mig 1.8+git20231217

=== debian/changelog ===
mig (1.8+git20231217-8) unstable; urgency=medium

  * tests: Run make check in autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 12 Jun 2025 01:33:19 +0200

mig (1.8+git20231217-7) unstable; urgency=medium

  * patches/struct-64b: Fix 64b alignment of structures with 64b fields.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Jun 2025 17:38:46 +0200

mig (1.8+git20231217-6) unstable; urgency=medium

  * control: Generalize mig and mig-for-host on all archs.
  * patches/string_t: Ensure that strings in the request are null terminated
    before calling the server routine.
  * patches/gcc-15: Fix build with gcc-15 (Closes: Bug#1097397)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Mar 2025 23:18:47 +0200

mig (1.8+git20231217-5) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Aug 2024 21:04:06 +0200

mig (1.8+git20231217-4) experimental; urgency=medium

  * control, rules: Add arm64 packages.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Jul 2024 13:25:01 +0200

mig (1.8+git20231217-3) unstable; urgency=medium

  * patches/portarray-inline-restore-on-error: Fix bogus port deallocation on
    server error.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 14 Jul 2024 16:34:23 +0200

mig (1.8+git20231217-2) unstable; urgency=medium

  * rules: Fix taking target compilation flags.
  * patches/implicit-declaration: Fix build with gcc-14 (Closes: Bug#1075272)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Jul 2024 20:02:52 +0200
