=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Vcs-Browser: https://salsa.debian.org/hurd-team/mig
 Vcs-Git: https://salsa.debian.org/hurd-team/mig.git
 Build-Depends: dpkg-dev (>= 1.17.14), debhelper-compat (= 12), dh-exec,
- gnumach-dev (>= 2:1.8+git20220827-1),
+ gnumach-dev (>= 2:1.8+git20231217~),
  flex, libfl-dev, bison
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 #Note: XXX this file is generated from .in files, see debian/rules
 
 Package: mig
-Architecture: hurd-i386 hurd-amd64
+Architecture: hurd-any
 Multi-Arch: no
 Depends: ${misc:Depends}, ${mig:host}
 Description: GNU Mach Interface Generator
@@ -25,7 +25,7 @@
  architecture of this package.
 
 Package: mig-for-host
-Architecture: any-i386 any-amd64
+Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${mig:host}
 Description: GNU Mach Interface Generator - metapackage for host
@@ -39,7 +39,7 @@
 Architecture: any-i386
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20211230-6~), hurd-dev (<< 1:0.9.git20180129~)
+Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20231217~), hurd-dev (<< 1:0.9.git20180129~)
 Replaces: mig (<< 1.8-7)
 Description: GNU Mach Interface Generator for i386 GNU/Hurd
  This is the GNU distribution of the MIG, which is needed to compile
@@ -52,7 +52,7 @@
 Architecture: any-amd64
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20211230-6~), hurd-dev (<< 1:0.9.git20180129~)
+Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20231217~), hurd-dev (<< 1:0.9.git20180129~)
 Replaces: mig (<< 1.8-7)
 Description: GNU Mach Interface Generator for amd64 GNU/Hurd
  This is the GNU distribution of the MIG, which is needed to compile
@@ -60,3 +60,16 @@
  .
  This package provides the generator targetting GNU arch
  x86-64-gnu for the amd64 GNU/Hurd Debian port.
+
+Package: mig-aarch64-gnu
+Architecture: any-arm64
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: mig (<< 1.8-7), gnumach-dev (<< 2:1.8+git20231217~), hurd-dev (<< 1:0.9.git20180129~)
+Replaces: mig (<< 1.8-7)
+Description: GNU Mach Interface Generator for arm64 GNU/Hurd
+ This is the GNU distribution of the MIG, which is needed to compile
+ the GNU C library, the GNU Hurd and GNU Mach.
+ .
+ This package provides the generator targetting GNU arch
+ aarch64-gnu for the arm64 GNU/Hurd Debian port.
