=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,10 @@
 %:
 	dh $@ -Bbuild
 
-NATIVE_ARCHS=hurd-i386 hurd-amd64
+NATIVE_ARCHS=i386 amd64 arm64
 
-export TARGET_CFLAGS = $(CFLAGS)
+export TARGET_CFLAGS = $(shell DEB_HOST_ARCH=$(DEB_TARGET_ARCH) dpkg-buildflags --get CFLAGS)
+export TARGET_CPPFLAGS = $(shell DEB_HOST_ARCH=$(DEB_TARGET_ARCH) dpkg-buildflags --get CPPFLAGS)
 
 ifeq ($(DEB_HOST_ARCH),$(DEB_TARGET_ARCH))
 # CPU compatibility is enough to cross-build trivially
@@ -27,7 +28,6 @@
 define d_a
 $(shell dpkg-architecture -f -a$1 -A$1 -q$2 2> /dev/null)
 endef
-export TARGET_CPPFLAGS = $(CPPFLAGS)
 else
 CONFIGURE_OPTIONS = \
 	  --program-prefix=$(DEB_TARGET_GNU_CPU)-gnu- \
@@ -35,9 +35,9 @@
 	  --host=$(DEB_HOST_GNU_TYPE) \
 	  --target=$(DEB_TARGET_GNU_TYPE)
 CROSSDEP=:$(DEB_TARGET_ARCH)
-ARCHS=$(DEB_TARGET_ARCH)
+ARCHS=$(DEB_TARGET_ARCH_CPU)
 # The cross compiler at this stage does not have these in its standard include
-export TARGET_CPPFLAGS = -I/usr/include -I/usr/include/$(DEB_TARGET_GNU_TYPE) -I/usr/include/$(DEB_TARGET_MULTIARCH) $(CPPFLAGS)
+export TARGET_CPPFLAGS += -I/usr/include -I/usr/include/$(DEB_TARGET_GNU_TYPE) -I/usr/include/$(DEB_TARGET_MULTIARCH)
 define d_a
 $($2)
 endef
@@ -80,7 +80,7 @@
 	dh_install -pmig-$(PKG_DEB_TARGET_GNU_CPU)-gnu /usr/bin/$(DEB_TARGET_GNU_CPU)-gnu-mig
 
 override_dh_gencontrol:
-	dh_gencontrol -- -V"mig:host=mig-$(PKG_DEB_HOST_GNU_CPU)-gnu (= \$${binary:Version})"
+	dh_gencontrol -- -V"mig:host=mig-$(PKG_DEB_HOST_GNU_CPU)-gnu (>= \$${source:Upstream-Version})"
 
 override_dh_auto_clean:
 	dh_auto_clean
