=== debian/tests/control ===
Tests: tests
Depends: mig-for-host, @builddeps@
